Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.x509
Class ObjectDigestInfo

    java.lang.Object
      |
      +--org.bouncycastle.asn1.x509.ObjectDigestInfo

All Implemented Interfaces:
  DEREncodable

public class ObjectDigestInfo
extends java.lang.Object
implements DEREncodable

Constructor Summary
`ObjectDigestInfo()`

Method Summary
`DERObject` | `getDERObject()` ObjectDigestInfo ::= SEQUENCE { digestedObjectType ENUMERATED { publicKey (0), publicKeyCert (1), otherObjectTypes (2) }, -- otherObjectTypes MUST NOT -- be used in this profile otherObjectTypeID OBJECT IDENTIFIER OPTIONAL, digestAlgorithm AlgorithmIdentifier, objectDigest BIT STRING }
`AlgorithmIdentifier` | `getDigestAlgorithm()`
`DEREnumerated` | `getDigestedObjectType()`
`DERBitString` | `getObjectDigest()`
`DERObjectIdentifier` | `getOtherObjectTypeID()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectDigestInfo

    public ObjectDigestInfo()

Method Detail

### getDigestedObjectType

    public DEREnumerated getDigestedObjectType()

### getOtherObjectTypeID

    public DERObjectIdentifier getOtherObjectTypeID()

### getDigestAlgorithm

    public AlgorithmIdentifier getDigestAlgorithm()

### getObjectDigest

    public DERBitString getObjectDigest()

### getDERObject

    public DERObject getDERObject()

        ObjectDigestInfo ::= SEQUENCE {
             digestedObjectType  ENUMERATED {
                     publicKey            (0),
                     publicKeyCert        (1),
                     otherObjectTypes     (2) },
                             -- otherObjectTypes MUST NOT
                             -- be used in this profile
             otherObjectTypeID   OBJECT IDENTIFIER OPTIONAL,
             digestAlgorithm     AlgorithmIdentifier,
             objectDigest        BIT STRING
        }

  Specified by:
    `getDERObject` in interface `DEREncodable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD